Get all the patch envelopes
GET /api/v1/patch-envelope. Edge applications API reference.
Get all the patch envelopes
Authentication · API availability · Download OpenAPI
A successful response.Unauthorized. The API gateway did not process the request because it lacks valid authentication credentials for the target resource. The request header has either no authorization details or an authorization that has been refused.Forbidden. The API gateway did not process the request because the requestor does not have application level access permission for the operation or does not have access scope to the project.Internal Server Error. The API gateway experienced an unexpected condition. Specific error condition is indicated in error codes.Gateway Timeout. The API gateway did not receive a timely response from an upstream microservice it needed to communicate with in order to complete the request.An unexpected error response.
Authorizations
Bearer token for user session
Headers
User-Agent specified id to track a request
Query Parameters
project name pattern
patch envelope name pattern
Page Token
OrderBy helps in sorting the list response
Page Number
Defines the page size
Total number of pages to be fetched.
Only summary of the records required
Response
A successful response.
cursor next
patch envelope summary list
patch envelopes summary by action
patch envelope total count